# Wrap the output of sort in the following pipeline so that lines are
# kept below 72 characters, and continuation lines begin at column 40.
#
#	nawk -f index.awk *.srt | sort -u | nawk -f wrap.awk >INDEX
# [21-Feb-1990]
BEGIN {
     indentation = "                                        "; # 40 blanks
}
{
    line = $0;
    if (length(line) > 72)	# print non-indented first part
    {
	for (k = 72; substr(line,k,1) != " "; --k)
	    ;
	print substr(line,1,k);
	line = indentation substr(line,k+1);
    }	
    else			# print whole short line
    {
	print line;	
	next;
    }
    # we have a long line that must be continued
    while (length(line) > 72)
    {
	for (k = 72; substr(line,k,1) != " "; --k)
	    ;
	print substr(line,1,k);
	line = indentation substr(line,k+1);
    }
    print line;			# last part (guaranteed non-empty)
}
